package _VisualDVM.Passes.All;
import _VisualDVM.GlobalData.Tasks.CompilationTask.CompilationTask;
import _VisualDVM.GlobalData.Tasks.Passes.TaskLocalPass;
import _VisualDVM.GlobalData.Tasks.Supervisor.Local.Linux.LinuxLocalCompilationSupervisor;
import _VisualDVM.ProjectData.Project.db_project_info;
public class LinuxLocalCompilation extends TaskLocalPass<LinuxLocalCompilationSupervisor> {
    public LinuxLocalCompilation() {
        super(LinuxLocalCompilationSupervisor.class);
    }
    @Override
    protected boolean canStart(Object... args) {
        supervisor.Init((CompilationTask) args[0], this, (db_project_info) args[1]);
        return true;
    }
}
